/*
 * Copyright © 2004-2020 L2J Server
 * 
 * This file is part of L2J Server.
 * 
 * L2J Server is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * L2J Server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jserver.gameserver.model.actor.instance;

import com.l2jserver.gameserver.enums.InstanceType;
import com.l2jserver.gameserver.model.actor.L2Npc;
import com.l2jserver.gameserver.model.actor.templates.L2NpcTemplate;
import com.l2jserver.gameserver.network.serverpackets.ActionFailed;

public final class L2TerrainObjectInstance extends L2Npc {
	/**
	 * Creates a terrain object.
	 * @param template the terrain object NPC template
	 */
	public L2TerrainObjectInstance(L2NpcTemplate template) {
		super(template);
		setInstanceType(InstanceType.L2TerrainObjectInstance);
	}
	
	@Override
	public void onAction(L2PcInstance player, boolean interact) {
		player.sendPacket(ActionFailed.STATIC_PACKET);
	}
	
	@Override
	public void onActionShift(L2PcInstance player) {
		if (player.isGM()) {
			super.onActionShift(player);
		} else {
			player.sendPacket(ActionFailed.STATIC_PACKET);
		}
	}
}