/*
 * Copyright © 2004-2020 L2J Server
 *
 * This file is part of L2J Server.
 *
 * L2J Server is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * L2J Server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jserver.gameserver.model.events.impl.character.player;

import com.l2jserver.gameserver.model.actor.instance.L2PcInstance;
import com.l2jserver.gameserver.model.events.EventType;
import com.l2jserver.gameserver.model.events.impl.IBaseEvent;

/**
 * @author Krunchy
 * @since 2.6.0.0
 */
public class OnPlayerProfessionCancel implements IBaseEvent {
	private final L2PcInstance _activeChar;
	private final int _classId;
	
	public OnPlayerProfessionCancel(L2PcInstance activeChar, int classId) {
		_activeChar = activeChar;
		_classId = classId;
	}
	
	public L2PcInstance getActiveChar() {
		return _activeChar;
	}
	
	public int getClassId() {
		return _classId;
	}
	
	@Override
	public EventType getType() {
		return EventType.ON_PLAYER_PROFESSION_CANCEL;
	}
}