/*
 * Copyright © 2004-2020 L2J Server
 * 
 * This file is part of L2J Server.
 * 
 * L2J Server is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * L2J Server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jserver.gameserver.network.serverpackets;

/**
 * @author mrTJO & UnAfraid
 */
public class ExConfirmAddingContact extends L2GameServerPacket {
	private final String _charName;
	private final boolean _added;
	
	public ExConfirmAddingContact(String charName, boolean added) {
		_charName = charName;
		_added = added;
	}
	
	@Override
	protected void writeImpl() {
		writeC(0xFE);
		writeH(0xD2);
		writeS(_charName);
		writeD(_added ? 0x01 : 0x00);
	}
}
