/*
 * Copyright © 2004-2020 L2J Server
 * 
 * This file is part of L2J Server.
 * 
 * L2J Server is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * L2J Server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jserver.gameserver.network.serverpackets;

import java.util.ArrayList;
import java.util.List;

import com.l2jserver.gameserver.model.actor.instance.L2PcInstance;
import com.l2jserver.gameserver.model.actor.instance.L2PetInstance;
import com.l2jserver.gameserver.model.items.instance.L2ItemInstance;

public class GMViewItemList extends AbstractItemPacket {
	private final List<L2ItemInstance> _items = new ArrayList<>();
	private final int _limit;
	private final String _playerName;
	
	public GMViewItemList(L2PcInstance cha) {
		_playerName = cha.getName();
		_limit = cha.getInventoryLimit();
		for (L2ItemInstance item : cha.getInventory().getItems()) {
			_items.add(item);
		}
	}
	
	public GMViewItemList(L2PetInstance cha) {
		_playerName = cha.getName();
		_limit = cha.getInventoryLimit();
		for (L2ItemInstance item : cha.getInventory().getItems()) {
			_items.add(item);
		}
	}
	
	@Override
	protected final void writeImpl() {
		writeC(0x9a);
		writeS(_playerName);
		writeD(_limit); // inventory limit
		writeH(0x01); // show window ??
		writeH(_items.size());
		for (L2ItemInstance item : _items) {
			writeItem(item);
		}
	}
}
