/*
 * Copyright © 2004-2020 L2J Server
 * 
 * This file is part of L2J Server.
 * 
 * L2J Server is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * L2J Server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jserver.gameserver.network.serverpackets;

import com.l2jserver.gameserver.enums.HtmlActionScope;

/**
 * NpcQuestHtmlMessage server packet implementation.
 * @author HorridoJoho
 */
public final class NpcQuestHtmlMessage extends AbstractHtmlPacket {
	private final int _questId;
	
	public NpcQuestHtmlMessage(int npcObjId, int questId) {
		super(npcObjId);
		_questId = questId;
	}
	
	@Override
	protected final void writeImpl() {
		writeC(0xFE);
		writeH(0x8D);
		writeD(getNpcObjId());
		writeS(getHtml());
		writeD(_questId);
	}
	
	@Override
	public HtmlActionScope getScope() {
		return HtmlActionScope.NPC_QUEST_HTML;
	}
}
